<!DOCTYPE html>
<html lang="en">
  <head>
    <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}List of Invoices{% endtrans %}</title>
    <style type="text/css">
     .shadow {
         box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
     }
     #latable td, #latabledel td {
         font-size: 75%;
         padding: 4 !important;
         margin: 4 !important;
     }
     #latable th, #latabledel th {
         font-size: 85%;
     }
     .card-view .title {
         font-weight: bold;
         display: inline-block;
         min-width: 30%;
         text-align: left !important;
     }
     #latable tbody, #latabledel tbody  {
         display:block;
         height: calc(69vh);
         overflow-y:scroll;
     }
     #latable thead,#latable tbody tr, #latabledel thead,#latabledel tbody tr {
         display:table;
         width:100%;
         table-layout:fixed;
     }
     #latable thead, #latabledel thead {
         width: calc( 99.1% );
     }
     .biglwrap {
         width:20%;
     }
     .mdlwrap {
         width:12%;
     }
     .smlwrap {
         width:9%;
     }
     .qtylwrap {
         width:8%
     }
     .srnowrap {
         width:7%;
     }
     .modaltext {
         font-size: 0.8em;
     }
     .nopadding {
	 padding: 0 !important;
	 margin: 0 !important;
     }

     .fixed-table td {
	 font-size: 75%;
	 padding: 4 !important;
	 margin: 4 !important;
     }
     .fixed-table th {
	 font-size: 85%;
     }

     .fixed-tablepurchase tbody {
	 display:block;
	 height: calc(69vh);
	 min-height: 160px;
	 overflow-y:scroll;
     }

     .fixed-tablesale tbody {
	 display:block;
	 height: calc(69vh);
	 min-height: 140px;
	 overflow-y:scroll;
     }
     .fixed-table thead ,.fixed-table tbody tr,.fixed-table tfoot tr {
	 display:table;
	 width:100%;
	 table-layout:fixed;
     }
     .fixed-table thead {
	 width: calc( 99.1%);
     }

     .fixed-table tfoot {
	 display:block;
	 width: calc( 100% - 0.75em );
     }
    </style>
   </head>
   <body>
            <div class="alert alert-success" id="success-alert1" hidden>
                  {% trans %}Invoice cancelled successfully.{% endtrans %}
               </div>
               <div class="alert alert-danger" id="notran-del-alert1" hidden>
               {% trans %}Invoice could not be cancelled!.{% endtrans %}
               </div>
               <div class="alert alert-danger" id="failure-alert1"  hidden>
               {% trans %}Something went wrong!{% endtrans %}
            </div>
   
     <div id="listdiv">
       <div class="col-xs-10 nopadding">
      <input type="text" id="invoicetypeselect" value={{flag}} hidden></input>
      {% if gkresult == [] %}
         <div class="bg-danger " style="margin-top:2%;padding-top:10px;padding-bottom:10px;text-align:center;width:50%">
         <label class= "text-danger" style="font-size:100% !important;"> No Invoice found! </label>
         </div>
      {% else %}
      <span class="pull-right" style="padding-right:15px"><i>{% trans %}Period{% endtrans %}</i> : <strong id="fromdate" data-fromdate="{{fromdate}}">{{displayfromdate}}</strong> {% trans %}to{% endtrans %} <strong id="todate" data-todate="{{todate}}">{{displaytodate}}</strong></span>
      {% if deleteflag == 0 %}
      <span style="margin-left: 46.4%;"><strong>List of <i>{%if flag == "0" %}All{%elif flag == "1" %}Sales{%elif flag == "2" %}Purchase{% endif %}</i> Invoices</strong></span>
            {% else %}
      <span style="margin-left: 46.4%;"><strong>List of <i>{%if flag == "0" %}All Cancelled{%elif flag == "1" %}Cancelled Sales{%elif flag == "2" %}Cancelled Purchase{% endif %}</i> Invoices</strong></span>
      {% endif %}
      <br>
       </div>

       <div class="pull-right input-group input-group-sm col-xs-2" style="margin-bottom:2px;">
	 <span class="input-group-addon glyphicon glyphicon-search" id="reportsearchspan">
	 </span>
	 <input id="reportsearch" class="form-control" type="text" accesskey="s" placeholder="{% trans %}Quick Search{% endtrans %}"/>
	 <span class="input-group-addon glyphicon glyphicon-arrow-left" id="reportclearsearchspan" style="display:none;">
	 </span>	 
       </div>
   {% if deleteflag == 0 %}
      <table id="latable" class="table shadow table-bordered" >
   {% else %}
      <table id="latabledel" class="table shadow table-bordered" >
{% endif %}
         <thead class="bg-primary">
            <tr>
               <th class="srnowrap text-center" >
                  {% trans %}Sr.No.{% endtrans %}
               </th>
               <th class="srnowrap text-center" >
                  {% trans %}INV No.{% endtrans %}
               </th>
               <th class="smlwrap text-center invDate" >
                 {% trans %}INV Date{% endtrans %}
		 {% if orderflag=="4" %}
		   <span  id="invoiceDate" class="glyphicon glyphicon-chevron-down pull-right" orderflag="4"  style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span>
		 {% else %}
		   <span  id="invoiceDate" class="glyphicon glyphicon-chevron-up pull-right" orderflag="1"  style="font-size:80%; margin: 5.5 auto; cursor: pointer;"></span>
		 {% endif %}
               </th>
               <th class="smlwrap text-center" >
                  {% trans %}Deli. Note{% endtrans %}
               </th>
               <th class="mdlwrap text-center" >
                  {%if flag == "0" %}{% trans %}Cust/Supp Name{% endtrans %}{%elif flag == "1" %}{% trans %}Customer Name{% endtrans %}{%elif flag == "2" %}{% trans %}Supplier Name{% endtrans %}{% endif %}
               </th>
               <th class="smlwrap text-right" >
                  {% trans %}Gross Amt{% endtrans %}
               </th>
               <th class="smlwrap text-right" >
                  {% trans %}Net Amt{% endtrans %}
               </th>
               <th class="smlwrap text-right" >
                  {% trans %}TAX Amt{% endtrans %}
               </th>
               <th class="smlwrap text-center" >
                  {% trans %}Godown{% endtrans %}
               </th>
               {% if deleteflag == 0 %}
               <th class="smlwrap text-center">
                     {% trans %}Action{% endtrans %}
               </th>
               {% endif %}
            </tr>
         </thead>
         <tbody>
           {% for invoice in gkresult %}
             <tr data-invid="{{invoice["invid"]}}" data-csflag="{{invoice["csflag"]}}" data-billentryflag="{{invoice["billentryflag"]}}" data-inoutflag="{{invoice["inoutflag"]}}">
            <td class="srnowrap text-center">{{invoice["srno"]}}</td>
            <td class="srnowrap text-center"><a class="libgname" href="">{{invoice["invoiceno"]}}</a></td>
            <td class="smlwrap text-center">{{invoice["invoicedate"]}}</td>
            <td class="smlwrap text-left">
		      {% if invoice["dcno"] != "" and invoice["dcdate"] != "" %}
               {{invoice["dcno"]}},{{invoice["dcdate"]}}
            {% endif %}
   </td>
            <td class="mdlwrap text-center">{{invoice["custname"]}}</td>
            <td class="smlwrap text-right">{{invoice["grossamt"]}}</td>
            <td class="smlwrap text-right">{{invoice["netamt"]}}</td>
            <td class="smlwrap text-right">{{invoice["taxamt"]}}</td>
            <td class=" smlwrap text-center">{{invoice["godown"]}}</td>
            {% if deleteflag == 0 %}               
            <td class="smlwrap text-center">
		      {% if invoice["cancelflag"] == 1 %}               
                <a href="#" class="cancel_inv" ><span class="glyphicon glyphicon-remove"></span></a>
                {% endif %}
               {% if invoice["billentryflag"] == 0 %}     
                {% if invoice["inoutflag"] == 9 %}
                <a href="#" class="inv_payment"><span>P</span></a>
                {% else %}
                <a href="#" class="inv_receipt"><span>R</span></a>
                    {% endif %} 
                {% endif %}
               </td>
               {% endif %}
            </tr>
            {% endfor %}
         </tbody>
      </table>
      <span style="margin:auto; display:table;">
         <nbsp>
         <nbsp>
               {% if deleteflag == 0 %}
         <button type="button" class="btn btn-sm btn-warning" id="viewanotherlist" accesskey="w"><i class="fa fa-eye" aria-hidden="true"></i> {% trans %}Vie<u>w</u> Another List{% endtrans %}</button> 
         
         {% else %}
         <button type="button" class="btn btn-sm btn-warning" id="viewanotherdeletedlist" accesskey="w"><i class="fa fa-eye" aria-hidden="true"></i> {% trans %}Vie<u>w</u> Another List{% endtrans %}</button>
            {% endif %}
            {% if deleteflag == 0%}
         <button class="btn btn-sm btn-primary" type="button"  id="print" accesskey="x"><i class="fa fa-file-excel-o" aria-hidden="true"></i> {% trans %}E<u>x</u>port to Spreadsheet{% endtrans %}</button>
         {% else %}
         <button class="btn btn-sm btn-primary" type="button"  id="printdelete" accesskey="x"><i class="fa fa-file-excel-o" aria-hidden="true"></i> {% trans %}E<u>x</u>port to Spreadsheet{% endtrans %}</button>
         {% endif %}
         {% if deleteflag == 0 %}
         <button type="button" class="btn btn-sm btn-info" id="viewprintableversion" accesskey="n"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}View Pri<u>n</u>table Version{% endtrans %}</button>
         {% else %}
         <button type="button" class="btn btn-sm btn-info" id="viewprintableversioncan" accesskey="n"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}View Pri<u>n</u>table Version{% endtrans %}</button>
         {% endif %}
      </span>
     </div>
     <div id="viewinvdiv" hidden>
       <div class="panel">
	 <div class="panel-body">
	   <div id="invload">
	     
	   </div>
	   <div id="printload">
	     
	   </div>
	 </div>
       </div>
       <div class="col-sm-3 col-sm-offset-4" id="buttondiv">
    <button type="button" class="btn btn-sm btn-danger pull-right hidden-print" id="list_backbutton" accesskey="b" style="margin-left:10px;">{% trans %}<u>B</u>ack{% endtrans %}</button>
    {% if deleteflag == 0%}
    <button type="button" class="btn btn-sm btn-primary pull-right hidden-print" id="printbutton" accesskey="t" style="margin-left:10px;">{% trans %}Prin<u>t</u>{% endtrans %}</button>
      <button type="button" class="btn btn-sm btn-primary pull-right hidden-print" id="inv_pay" accesskey="">{% trans %}Make Payment{% endtrans %}</button> 
      <button type="button" class="btn btn-sm btn-primary pull-right hidden-print" id="inv_rec" style="margin-right:10px" accesskey="">{% trans %}Receive Payment{% endtrans %}</button>    
      {% endif %} 
      <button type="button" class="btn btn-sm btn-info pull-right hidden-print" id="viewattachment" accesskey="e" style="display:none">{% trans %}Vi<u>e</u>w Attachment{% endtrans %}</button> 
       </div>
     </div>  

     <div id="confirm_del" class="modal fade" tabindex="-1" role="dialog">
         <div class="vertical-alignment-helper">
           <div class="modal-dialog modal-sm vertical-align-center">
             <div class="modal-content">
               <div class="modal-header">
   
                 <h4 class="modal-title">{% trans %}Cancel this invoice ?{% endtrans %}</h4>
               </div>
               <div class="modal-body">
                 <p>{% trans %}Are you sure?{% endtrans %}</p>
               </div>
               <div class="modal-footer">
                 <button type="button" id ="m_cancel" class="btn btn-warning" data-dismiss="modal">{% trans %}No{% endtrans %}</button>
                 <button type="button" id="invdel1" data-dismiss="modal" class="btn btn-success">{% trans %}Yes{% endtrans %}</button>
               </div>
             </div><!-- /.modal-content -->
           </div><!-- /.modal-dialog -->
         </div>
       </div><!-- /.modal -->
       

          <div id="voucher_modal" class="modal fade"  tabindex="-1" role="dialog" data-keyboard="false" >
          <div class="vertical-alignment-helper">
    <div class="modal-dialog modal-lg vertical-align-center" id="mod_dialog">
             <div class="modal-content">  
                <div class="row">
                   <button id="close_button" type="button" class="close" style="color: black; margin-right:25px" data-dismiss="modal" aria-label="Close">
                     <span aria-hidden="true">&times;</span>
                   </button>  </div>
            <div class="modal-body classstyle"  id="show_voucher"></div>
             </div><!-- /.modal-content -->
           </div><!-- /.modal-dialog -->
         </div>
       </div><!-- /.modal -->
     {% endif %}   
      <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
      <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/listofinvoices.js')}}"></script>
   </body>
</html>
